> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get data access token



## OpenAPI

````yaml PEPS post /getAccessToken
openapi: 3.0.0
info:
  title: PEPS
  description: peps
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/peps
security: []
paths:
  /getAccessToken:
    post:
      tags:
        - default
      summary: get data access token
      requestBody:
        description: Sample Payload
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccessTokenRequest'
            example:
              access_token: YlOZB0tiA3fU2HAs3yWfol92Fzo6BFOE
              assertion: >-
                eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6Ik4wSTJRekJEUWpRM04wUkJSakJFUkRVM05qaEZNREF5T0VWRlJqWkRSVVl4TWtFMU5ERXdSUSJ9.eyJzZXJ2aWNlX2FjY291bnRfaWQiOiI5U0VQMDAxMDAwIiwiaXNzIjoiaHR0cHM6Ly9hdXRoLmFjY291bnRzLmRvd2pvbmVzLmNvbS8iLCJzdWIiOiJhdXRoMHw2MGYwZjRmY2QzNDE1NDE3NDNjNzkwOGIiLCJhdWQiOiJmZlRCcGsxU3ZJMTQ0STJnVVB0dFBkWjRGbkdxcHZkNyIsImlhdCI6MTYzNDYyOTkwNiwiZXhwIjoxNjM0NjY1OTA2fQ.iSO9UxiIE8pNce_2mQugk2yRVHq-4m77NeqDh0Z07PfuppU1EmdAmxLUKjJwJIN5JiZXI5AYGDglofvFbT0f8cgyMWNVpV2ph4BqkHLs16n_hzjhiqniUKDAQupU877iB8nL3nPiyds8_yxoeadijyOZHlXv4SOngGRRJWlwRlJ_2ng-2brNq0RKi889epqUdVySyrGplj17RpPppUd5waT6nX4I6Mu8aB9AHAZHYKdyiQ6I-jE5nEcWYI4EI0FOqSGrplYolFvHXgpedwCio5FNOi5pTis7iOW3NtqdB_GbPPwYbfng3p9unYgM75B9Z0ZpnWpBhA28BOBiKxnRNA
              grant_type: urn:ietf:params:oauth:grant-type:jwt-bearer
              scope: openid pib
        required: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessTokenResponse'
              example:
                access_token: >-
                  eyJhbGciOiJSUzI1NiIsImtpZCI6IjJEN0IwQTFERkJCNzlDRDFBQjM4NzNCMTcyODMyRjkxMENEQkRBREIiLCJ0eXAiOiJKV1QifQ.eyJwaWIiOnsiYXBjIjoiUk5DIiwiY3RjIjoiUCIsIm1hc3Rlcl9hcHBfaWQiOiJmZlRCcGsxU3ZJMTQ0STJnVVB0dFBkWjRGbkdxcHZkNyIsInNlcnZpY2VfYWNjb3VudF9pZCI6IjlTRVAwMDEwMDAiLCJlbmNyeXB0ZWRfdG9rZW4iOiJJMDBfSlVZVE1OQlZHNDJEU09CU0hBWFZJUjNWSUpWSEs0UlVKRTJWTTRMQkpaVFdLTktKTUYzV0czSlBJVkdGSVQyR09SVVdNWlpMTkozSE9TS01PSVpYUUtaUU1KV0ZPNUpUS0I1R0k1WkxJUkNGR1dMTElGR0NXWkxTSkJHRUVRMkpJWVlITVFaWElZWVhPV0tJUEZCWFFNQ0JGTjNXNDIyV05OS0cyUTJTSlpTR0UyREdMQTNWQ1JEVU1WSUZNTkI1STQifSwiaXNzIjoiaHR0cHM6Ly9hY2NvdW50cy5kb3dqb25lcy5jb20vb2F1dGgyL3YyIiwic3ViIjoiYXV0aDB8NjBmMGY0ZmNkMzQxNTQxNzQzYzc5MDhiIiwiYXVkIjoiZmZUQnBrMVN2STE0NEkyZ1VQdHRQZFo0Rm5HcXB2ZDciLCJhenAiOiJmZlRCcGsxU3ZJMTQ0STJnVVB0dFBkWjRGbkdxcHZkNyIsImlhdCI6MTY0NTc1MDU3NSwiZXhwIjoxNjQ1NzU0MTc1fQ.HvAevBsWIfBi-fz9OeXilB6HBHr4wSwOu6zCqtfMplh16yGC0pX9N1HJ6a5SwaYlhRq5HLzwoaKxllsj1hDTZAdM1afRejZBr0f7rM65BSeg9IJpBYgLTvvIZu8HYusLTKlA2Sr_tkKvlvvcYQG32FIGKelV0vPRJxm_qtLatVnscQUaDhugvZZ2sd_BKxpWEzDm2nPJnMT2Ag8-5y_prS8PzTruusZqxDoToF_JJsPg-2sPHy3_iueYqQhyN9zonWviraPGRBSrZ1i98tST78pPMDzhJ0pnUXlgZ-SCGln0Rv-M5N6XTzcL66kEEOuOJiUwI_Y468AURM6xPLrhPA
                token_type: Bearer
                expires_in: 3600
      security:
        - default: []
components:
  schemas:
    AccessTokenRequest:
      type: object
      properties:
        access_token:
          type: string
          description: >-
            The access token obtained in the access_token response parameter of
            getToken request
        assertion:
          type: string
          description: >-
            The AuthN ID token obtained in the id_token response parameter of
            getToken request
        client_id:
          type: string
          description: Specifies the unique Auth0-registered client identifier.
        grant_type:
          type: string
          description: >-
            Identifies the passed AuthN ID token as the grant type to get an
            access token. Set its value to
            urn:ietf:params:oauth:grant-type:jwt-bearer.
        scope:
          type: string
          description: >-
            Specifies the level of access that the client requests. Set its
            value to openid pib
    AccessTokenResponse:
      type: object
      properties:
        access_token:
          type: string
          description: access token for authentication
        token_type:
          type: string
          description: access type (Bearer) .
        expires_in:
          type: string
          description: token type (Bearer).
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````